Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564981 - [RHEL 7.6] libguestfs doesn't inspect installer ISOs anymore
Summary: [RHEL 7.6] libguestfs doesn't inspect installer ISOs anymore
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Red_Hat_Enterprise_Linux-Release_Notes-7-en-US
Version: 7.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Herrmann
QA Contact:
Jiri Herrmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 06:05 UTC by YongkuiGuo
Modified: 2019-04-28 06:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
*libguestfs* can no longer inspect ISO installer files The *libguestfs* library does no longer support inspecting ISO installer files, for example using the *guestfish* or *virt-inspector* utilities. Use the "osinfo-detect" command for inspecting ISO files instead. This command can be obtained from the _libosinfo_ package.
Clone Of:
Environment:
Last Closed: 2019-04-28 06:02:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1551055 0 high CLOSED Rebase libguestfs in RHEL 7.6 2021-02-22 00:41:40 UTC

Internal Links: 1551055

Description YongkuiGuo 2018-04-09 06:05:56 UTC
Description of problem:

The list returned was empty after executing the inspect-os command with libguestfs-1.38 on rhel7.5 host.


Version-Release number of selected component (if applicable):
libguestfs-1.38.0-1.el7.x86_64
qemu-kvm-1.5.3-156.el7.x86_64
kernel-3.10.0-862.el7.x86_64
libvirt-3.9.0-14.el7.x86_64

How reproducible:
100%


Steps:

1. On rhel7.5 host
#guestfish -a RHEL-Server-7.4-x86_64-latest.iso
><fs> run
><fs> list-filesystems
/dev/sda1: iso9660
/dev/sda2: vfat
><fs> inspect-os
><fs>

Actual results:
The returned result of inspect-os was empty.


Expected results:
The inspect-os command should be able to return the disk list.


Additional info:
The virt-inspector also cannot display the operating system info.

Comment 2 Richard W.M. Jones 2018-04-09 07:35:42 UTC
Yes we upstream removed the ability to inspect ISOs.  Unfortunately
I forgot to document this in the release notes, but the commit is:

  https://github.com/libguestfs/libguestfs/commit/65cfecb0f5344ec92d3f0d3c2ec0538b6b2726e2

This is a regression but not one we're likely to want to fix.  It's
much better if given an ISO to use the libosinfo command:

  osinfo-detect --type=media RHEL-Server-7.4-x86_64-latest.iso

Comment 3 YongkuiGuo 2018-04-09 09:04:06 UTC
Got it. Thanks rjones.


Note You need to log in before you can comment on or make changes to this bug.